#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: streaming-commons
version: 0.2.1.0
id: streaming-commons-0.2.1.0-84PfpZMVlC4E4a4Nixx0Ze
key: streaming-commons-0.2.1.0-84PfpZMVlC4E4a4Nixx0Ze
license: MIT
maintainer: michael@snoyman.com
author: Michael Snoyman, Emanuel Borsboom
homepage: https://github.com/fpco/streaming-commons
synopsis: Common lower-level functions needed by various streaming data libraries
description:
    Provides low-dependency functionality commonly needed by various streaming data libraries, such as conduit and pipes.
category: Data
abi: 2026f628cce6481a9499bf33e07bf2a6
exposed: True
exposed-modules:
    Data.Streaming.ByteString.Builder
    Data.Streaming.ByteString.Builder.Buffer Data.Streaming.FileRead
    Data.Streaming.Filesystem Data.Streaming.Network
    Data.Streaming.Network.Internal Data.Streaming.Process
    Data.Streaming.Process.Internal Data.Streaming.Text
    Data.Streaming.Zlib Data.Streaming.Zlib.Lowlevel
hidden-modules: Data.Text.Internal.Unsafe.Char
                Data.Text.Internal.Unsafe.Shift Data.Text.Internal.Encoding.Utf8
                Data.Text.Internal.Encoding.Utf16 Data.Text.Internal.Encoding.Utf32
import-dirs: /usr/lib/ghc-8.4.3/site-local/streaming-commons-0.2.1.0
library-dirs: /usr/lib/ghc-8.4.3/site-local/streaming-commons-0.2.1.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/streaming-commons-0.2.1.0
hs-libraries: HSstreaming-commons-0.2.1.0-84PfpZMVlC4E4a4Nixx0Ze
depends:
    base-4.11.1.0 array-0.5.2.0 async-2.2.1-B6m2kYywRJu7nicgTBxsJe
    bytestring-0.10.8.2 directory-1.3.1.5
    network-2.7.0.2-Epka4Y5CXXTKVbAZSchnya
    random-1.1-9LLJAJa4iQFLJiLXBOBXBV process-1.6.3.0 stm-2.4.5.0
    text-1.2.3.0 transformers-0.5.5.0 zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH
    unix-2.7.2.2
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             array-0.5.2.0=001d57bac323829c35f5e9edd158c1ef
             async-2.2.1-B6m2kYywRJu7nicgTBxsJe=64d83880768398851ddaf7518afebeee
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             directory-1.3.1.5=e563da47c8e71ee27761a9b9d172f1ec
             network-2.7.0.2-Epka4Y5CXXTKVbAZSchnya=34c8f87548d66d5af3596a33ad5000fc
             random-1.1-9LLJAJa4iQFLJiLXBOBXBV=8df244958947206247b1dd733653312e
             process-1.6.3.0=abb0cfe39ff8617a198f540a7db854a9
             stm-2.4.5.0=cd8ccc9f17cf51980f6d59f12e77db7d
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH=ef1ac153a45a86b7156d838914c2c4aa
             unix-2.7.2.2=5200b6eb79607eed6537538f20d679bf
haddock-interfaces: /usr/share/doc/haskell-streaming-commons/html/streaming-commons.haddock
haddock-html: /usr/share/doc/haskell-streaming-commons/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

